using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace WaterMark
{
    public partial class decryption : Form
    {
        public decryption()
        {
            InitializeComponent();
        }

        private void btnBrowseDecrypt_Click(object sender, EventArgs e)
        {

            openFileDialog1.FileName = "";
            openFileDialog1.Title = "Choose a file to decrypt";
            openFileDialog1.InitialDirectory = @"C:\";
            openFileDialog1.Filter = "Encrypted Files (*.encrypt) | *.encrypt";

            string strFileToDecrypt = "";
            string strOutputDecrypt = "";

            //Find out if the user chose a file.
            if (openFileDialog1.ShowDialog() == DialogResult.OK)
            {
                strFileToDecrypt = openFileDialog1.FileName;
                txtFileToDecrypt.Text = strFileToDecrypt;
                int iPosition;
                /* Get the position of the last "\" in the OpenFileDialog.FileName path.
                * -1 is when the character your searching for is not there.
                * IndexOf searches from left to right.*/
                iPosition = strFileToDecrypt.LastIndexOf(".encrypt");
                if ((iPosition == -1) || (iPosition != (strFileToDecrypt.Length - 8)))
                {
                    MessageBox.Show("Invalid file. Please select proper encrypted file.");
                }

                //strOutputFile = the file path minus the last 8 characters (.encrypt)
                strOutputDecrypt = strFileToDecrypt.Substring(0, strFileToDecrypt.Length - 8);
                //Assign strOutputFile to the position after the last "\" in the path.
                iPosition = strOutputDecrypt.IndexOf("z_z");
                if (iPosition == -1)
                {
                    strOutputDecrypt = strOutputDecrypt + ".dat";
                }
                else
                {
                    strOutputDecrypt = strOutputDecrypt.Replace("z_z", ".");
                }
                txtDestinationDecrypt.Text = strOutputDecrypt;
                //Update buttons
                btnFileDecrypt.Enabled = true;

            }
        }

        private void btnFileDecrypt_Click(object sender, EventArgs e)
        {
            try
            {
                if (txtConPassDecrypt.Text != txtPassDecrypt.Text)
                {
                    txtConPassDecrypt.Text = "";
                    MessageBox.Show("Password are not same. Please veryfy once again.");
                    return;
                }
                string strSecretKey = txtPassDecrypt.Text.Trim();
                EncryptDecrypt.MyEncryptor enc = new EncryptDecrypt.MyEncryptor(strSecretKey);
                enc.Decrypt(txtFileToDecrypt.Text, txtDestinationDecrypt.Text);
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
            scramble ff = new scramble();
            ff.Show();
        }
        }

    }
