using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace WaterMark
{
    public partial class encryption : Form
    {
        public encryption()
        {
            InitializeComponent();
        }

        private void btnBrowseEncrypt_Click(object sender, EventArgs e)
        {

            openFileDialog1.FileName = "";
            openFileDialog1.Title = "Choose a file to decrypt";
            openFileDialog1.InitialDirectory = @"C:\";
            // openFileDialog1.Filter = "Encrypted Files (*.encrypt) | *.encrypt";

            string strFileToEncrypt = "";
            string strOutputEncrypt = "";
            string strExtension = "";

            //Find out if the user chose a file.
            if (openFileDialog1.ShowDialog() == DialogResult.OK)
            {
                strFileToEncrypt = openFileDialog1.FileName;
                txtFileToEncrypt.Text = strFileToEncrypt;
                int iPosition;
                /* Get the position of the last "\" in the OpenFileDialog.FileName path.
                * -1 is when the character your searching for is not there.
                * IndexOf searches from left to right.*/
                iPosition = strFileToEncrypt.LastIndexOf(".");
                if (iPosition == -1)
                {
                    MessageBox.Show("Invalid file. Please select proper file.");
                }

                //strOutputFile = the file path minus the last 8 characters (.encrypt)
                strExtension = strFileToEncrypt.Substring(iPosition, (strFileToEncrypt.Length - iPosition));
                //Assign strOutputFile to the position after the last "\" in the path.  
                string strEncryptedExt = "z_z" + strExtension.Substring(1) + ".encrypt";
                strOutputEncrypt = strFileToEncrypt.Replace(strExtension, strEncryptedExt);

                txtDestinationEncrypt.Text = strOutputEncrypt;
                //Update buttons
                btnFileEncrypt.Enabled = true;
            }
        }

        private void btnFileEncrypt_Click(object sender, EventArgs e)
        {
            try
            {
                if (txtConPassEncrypt.Text != txtPassEncrypt.Text)
                {
                    txtConPassEncrypt.Text = "";
                    MessageBox.Show("Password are not same. Please veryfy once again.");
                    return;
                }
               
                string strSecretKey = txtPassEncrypt.Text.Trim();
                EncryptDecrypt.MyEncryptor enc = new EncryptDecrypt.MyEncryptor(strSecretKey);
                enc.Encrypt(txtFileToEncrypt.Text, txtDestinationEncrypt.Text);
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            scramble hh = new scramble();
            hh.Show();
        }

        private void encryption_Load(object sender, EventArgs e)
        {

        }

    }
}